---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Time Off Plans
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10018_N10015_N10001"></a>Resource URI

Collection of time-off balances by plan for a specified worker:

```
/workers/{id}/timeOffPlans
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Worker reference. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N1005C_N10011_N10001"></a>Description

Workers/Time Off Plans is a collection of time-off balances by plan for a specified worker. You can only view the items permitted by the security profile of the current user.

To view the time-off entries for a worker, use the Workers/Time Off Entries resource.

To examine a summary of the time-off balance for a worker, use the timeOffSummary view of the Workers resource.

To see a summary of the time-off balances for direct reports of a worker, use the timeOffSummary view of the Workers/Direct Reports subresource.

Workers/Time Off Plans supports this method:

-   [GET Workers/Time Off Plans](/wcp_docs/jas1382136318695.html#GET)


## <a id="GET"></a>GET Workers/Time Off Plans

-   <b>Secured by:</b>

    Self-Service: Time Off Balances

    Worker Data: Time Off (Time Off Balances)

    Worker Data: Time Off (Time Off Balances Manager View)



The GET method returns time off balances by plan for the specified worker.

No request body required or available for this method. Use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Maximum</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10011_N10001"></a>GET Workers/Time Off Plans Examples

This GET request retrieves the time-off balances by plan for the worker Logan McNeil (id=66faa65677834f0a9b586dd5645e9004):

```
GET /workers/66faa65677834f0a9b586dd5645e9004/timeOffPlans
```

The response is a collection of time-off balances by plan for the worker, in JSON format (only 1 time-off plan and its balance is shown):

```
{
   "total": 3,
   "data":    [
            {
         "descriptor": "Floating Holiday PLAN",
         "id": "eab51dc897884a9bbb96168242f968ca",
         "timeOffBalance": "24",
         "unitOfTime":          {
            "descriptor": "Hours",
            "id": "c4dacbd56bca4a9a8950e8d3ed21bbdb"
         }
      },
  ...
 ]
}
```

### Related Information

[Reference: Workers/Time off Entries](/wcp_docs/jas1380223719446.html)

[Reference: Workers](/wcp_docs/dan1370797991225.html)

[Reference: Workers/Time Off Plans](/wcp_docs/jas1382136318695.html)

